summaryrefslogtreecommitdiff
path: root/tests/misc/sort-u-FMR.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/sort-u-FMR.sh')
-rwxr-xr-xtests/misc/sort-u-FMR.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/tests/misc/sort-u-FMR.sh b/tests/misc/sort-u-FMR.sh
new file mode 100755
index 0000000..c22e468
--- /dev/null
+++ b/tests/misc/sort-u-FMR.sh
@@ -0,0 +1,29 @@
+#!/bin/sh
+# Before 8.19, this would trigger a free-memory read.
+
+# Copyright (C) 2012-2016 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
+print_ver_ sort
+require_valgrind_
+
+{ echo 0; printf '%0900d\n' 1; } > in || framework_failure_
+
+valgrind --error-exitcode=1 sort --p=1 -S32b -u in > out || fail=1
+
+compare in out || fail=1
+
+Exit $fail